listObjectPromiseObj Struct Reference

`#include <definitions.h>`

## Public Attributes

int | async_action_status
napi_deferred | deferred
napi_async_work | work
napi_value | result
UplinkProject | project_result
char * | bucketName
UplinkObjectIterator * | objectIterator
UplinkListObjectsOptions | list_object_options
int | listObjectSet

## Member Data Documentation

## async_action_status

int listObjectPromiseObj::async_action_status

## bucketName

char* listObjectPromiseObj::bucketName

## deferred

napi_deferred listObjectPromiseObj::deferred

## list_object_options

UplinkListObjectsOptions listObjectPromiseObj::list_object_options

## listObjectSet

int listObjectPromiseObj::listObjectSet

## objectIterator

UplinkObjectIterator* listObjectPromiseObj::objectIterator

## project_result

UplinkProject listObjectPromiseObj::project_result

## result

napi_value listObjectPromiseObj::result

## work

napi_async_work listObjectPromiseObj::work

The documentation for this struct was generated from the following file:

- definitions.h